<template>
  <div class="card relative z-2" style="width: 100%">

    <Menubar :model="items">
      <template #item="{ label, item, props, root, hasSubmenu }">
        <router-link v-if="item.route" v-slot="routerProps" :to="item.route" custom>
          <a :href="routerProps.href" v-bind="props.action" @click="routerProps.navigate">
            <span v-bind="props.icon" />
            <span v-bind="props.label">{{ label }}</span>
          </a>
        </router-link>
        <a v-else :href="item.url" :target="item.target" v-bind="props.action">
          <span v-bind="props.icon" />
          <span v-bind="props.label">{{ label }}</span>
          <span
              :class="[hasSubmenu && (root ? 'pi pi-fw pi-angle-down' : 'pi pi-fw pi-angle-right')]"
              v-bind="props.submenuicon"
          />
        </a>
      </template>
    </Menubar>
    <router-link v-if="$route.fullPath !== '/'" :to="{ path: '/' }" class="back-button">
      <button>&lt; Back</button>
    </router-link>
  </div>
</template>

<script setup lang="ts">
import { RouterLink } from 'vue-router';
import Menubar from 'primevue/menubar';
import { menuItems } from './menuItems';
import { ref } from 'vue';

const items = ref(menuItems);
</script>

<style scoped>
.back-button {
  margin-bottom: 10px !important;
}
</style>
